Bug 461007 - Review Request: libftdi - Library to program and control the FTDI USB controller
Review Request: libftdi - Library to program and control the FTDI USB controller
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 461050
  Show dependency treegraph
 
Reported: 2008-09-03 08:30 EDT by Lucian Langa
Modified: 2014-10-06 14:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 00:50:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-09-03 08:30:05 EDT
Spec URL: http://lucilanga.fedorapeople.org/libftdi.spec
SRPM URL: http://lucilanga.fedorapeople.org/libftdi-0.13-1.fc9.src.rpm
Description: A library (using libusb) to talk to FTDI's FT2232C,
FT232BM and FT245BM type chips including the popular bitbang mode.
Comment 1 Rakesh Pandit 2008-09-04 05:33:49 EDT
Builds on rawhide - x86_64

rpmlint output clean:

rpmlint libftdi-0.13-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint libftdi-0.13-1.fc10.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint libftdi-debuginfo-0.13-1.fc10.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint libftdi-devel-0.13-1.fc10.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Rakesh Pandit 2008-09-04 06:02:59 EDT
will do detailed review shortly, Thanks
Comment 4 Lucian Langa 2008-09-26 02:44:16 EDT
(In reply to comment #2)
> will do detailed review shortly, Thanks

ping?
Comment 5 Rakesh Pandit 2008-09-26 02:51:00 EDT
sorry, forgot it completely, thanks for reminding, review coming shortly...
Comment 6 Rakesh Pandit 2008-09-26 04:00:42 EDT
Review:

NA = Not applicable, ! = requires attention, x = passed 


Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=845010

source from project resource:
md5sum libftdi-0.14.tar.gz 
43f20478e725aa5ba6cdae311ca0593d  libftdi-0.14.tar.gz

source from srpm:
md5sum libftdi-0.14.tar.gz 
43f20478e725aa5ba6cdae311ca0593d  libftdi/libftdi-0.14.tar.gz

RPMLINT: CLEAN

[rpmbuild@rocky SRPMS]$ rpmlint libftdi-0.14-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rpmbuild@rocky i386]$ rpmlint libftdi-0.14-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rpmbuild@rocky i386]$ rpmlint libftdi-devel-0.14-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rpmbuild@rocky i386]$ rpmlint libftdi-0.14-1.fc9.i386.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Required:
[x] package name
[x] package base name and spec name - same
[x] packaging guidelines
[x] license file included
[x] license correct
[x] spec legible & in American english
[x] md5sum checked source
[x] package compiled on all primary architectures
[x] Buildrequires tag - okay
[NA] locale
[NA] desktop file - GUI
[x] shared library - ldconfig called in %post and %postun
[x] owns all directories it creates
[x] permissions in %defattr correct
[x] %clean and %install section have 'rm -rf $RPM_BUILD_ROOT'
[x] %doc files don't have any dependency on other section of package
[!] Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
     You should remove pkgconfig from BuildRequires and put it in Requires
      Moreover in devel package requires 
      Requires:       %{name} = %{version}-%{release} is enough  
[x] valid encoding

Optional:
[x] description and summary fine
[NA] license file query
[x] package functioning - okay
[NA] any scripts 
[x] no dependencies outside FHS guideline paths
[x] .pc file in devel pkg  

Summary: other then one point mentioned in [!] above - everything looks okay
Comment 7 Lucian Langa 2008-09-26 05:32:48 EDT
> [!] Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
> directory ownership and usability). 
>      You should remove pkgconfig from BuildRequires and put it in Requires
>       Moreover in devel package requires 
>       Requires:       %{name} = %{version}-%{release} is enough  

updated and bumped version:

http://lucilanga.fedorapeople.org/libftdi.spec
http://lucilanga.fedorapeople.org/libftdi-0.14-2.fc9.src.rpm
Comment 8 Rakesh Pandit 2008-09-26 05:43:57 EDT
APPROVED
Comment 9 Lucian Langa 2008-09-26 05:56:48 EDT
New Package CVS Request
=======================
Package Name: libftdi
Short Description: Library to program and control the FTDI USB controller
Owners: lucilanga
Branches: F-8 F-9
InitialCC:
Comment 10 Kevin Fenzi 2008-09-28 15:31:57 EDT
cvs done.
Comment 11 Fedora Update System 2008-09-29 00:45:07 EDT
libftdi-0.14-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/libftdi-0.14-2.fc8
Comment 12 Fedora Update System 2008-09-29 00:46:10 EDT
libftdi-0.14-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libftdi-0.14-2.fc9
Comment 13 Fedora Update System 2008-10-20 16:26:25 EDT
libftdi-0.14-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-10-20 18:05:02 EDT
libftdi-0.14-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Lucian Langa 2010-09-13 01:03:31 EDT
Package Change Request
=======================
Package Name: libftdi
Short Description: Library to program and control the FTDI USB controller
Owners: lucilanga
Branches: EL-5 EL-6
InitialCC:
Comment 16 Kevin Fenzi 2010-09-16 19:04:25 EDT
Git done (by process-git-requests).
Comment 17 Richard Shaw 2014-10-06 09:27:54 EDT
Package Change Request
======================
Package Name: libftdi
New Branches: epel7
Owners: hobbes1069 lucilanga
InitialCC:
Comment 18 Gwyn Ciesla 2014-10-06 14:38:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.